
-- require: cabal install hack2-contrib

module Chu2.Middleware.SimpleLoggerFFI where

import Hack2.Contrib.Middleware.SimpleAccessLogger
import Hack2.Contrib.Middleware.XForwardedForToRemoteHost
import Hack2.Contrib.Middleware.ContentLength
import Hack2.Contrib.Utils

import Chu2.Interface.Hack2

simple_logger = hack2MiddlewareToChu2Middleware $ use
  [
    x_forwarded_for_to_remote_host
  , simple_access_logger Nothing
  , content_length
  ]
